﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPA-N-PRE DANL Function Check VISA /EPM,SWPG
DATE:                  2013-08-15 13:49:33
AUTHOR:                Fluke
REVISION:              $Revision: 9720 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       101
CONFIGURATION:         Agilent EPM
CONFIGURATION:         Agilent E9304A on channel 1
CONFIGURATION:         Sweep Generator
STANDARD:              HP 11667A
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models covered:
#        Tektronix TPA-N-PRE Preamplifier for the MDO4000 Series with:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, or MDO4104-6
#
#  Compatibility:
#        MET/CAL version 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the procedure header to list the
# instrument configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  STD          HP 11667A
  1.004  ENDIF

  1.005  DO
  1.006  MATH         BaseFreq = BASE(@Freq); BaseLevel = BASE(@Level)
  1.007  VISA         RF:FREQUENCY [V BaseFreq];REFLEVEL [V @RefLevel]
  1.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA

  1.009  IF           @Abort
  1.010  END
  1.011  ENDIF

  1.012  MATH         @SWPG_Freq = @Freq; @SWPG_Ampl = @Level
  1.013  CALL         Sub Apply /SWPG
  1.014  VISA         [D2000]ACQUIRE:STATE ON
  1.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA

  1.016  IF           @Abort
  1.017  END
  1.018  ENDIF

# Wait 500 ms for the UUT to locate peak marker amplitude.
  1.019  VISA         [D500]MARKER:REFERENCE:AMPLITUDE?[I]
  1.020  MATH         UUT_Meas = MEM
  1.021  EPM          PowerSensorA = E9304A; SourceSWR_A = [V SplitterSWR]
  1.021  EPM          ReadingRateA = Normal; AverageCountA = 32
  1.021  EPM          +PowerA = [V BaseLevel] dBm; @FreqA = [V BaseFreq] Hz
  1.022  MATH         Delta = UUT_Meas - MEM

  1.023  IF           ABS(Delta) > 2
  1.024  OPBR         -z Functional check at [V @Freq] @ [V @Level] failed.
  1.024  OPBR
  1.024  OPBR         Power measurement error:    [V Delta] dB
  1.024  OPBR         Function check power limit: ± 2 dB
  1.024  OPBR
  1.024  OPBR         Would you like to receive instructions for correcting
  1.024  OPBR         the error, and repeat this test?
  1.025  MATH         @Abort = NOT(MEM1)

  1.026  IF           @Abort
  1.027  RSLT         =Function test failed for DANL with TPNA-N-PRE attached
  1.028  RSLT         =Failure occured with [V @Freq] @ [V @Level] applied.
  1.029  END
  1.030  ELSE
  1.031  OPBR         Tighten the TPA-N-PRE Preamplifier more firmly to the
  1.031  OPBR         [V @UUT_Model] by hand, and then select "Advance" to
  1.031  OPBR         repeat the measurement.
  1.032  ENDIF

  1.033  ENDIF

  1.034  UNTIL        ABS(Delta) <= 2

  1.035  END
