﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tektronix TPA-N-PRE DANL Test VISA
DATE:                  2013-08-15 15:00:39
AUTHOR:                Fluke
REVISION:              $Revision: 3809 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       101
STANDARD:              50 Ohm Termination
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  STD          50 Ohm Termination

  1.002  MATH         FreqRange = @Start & " to " & @Stop
  1.003  HEAD         -2 [V FreqRange]
# Store all frequency values to be used in base units (Hz)
  1.004  MATH         Start = BASE(@Start); Stop = BASE(@Stop)
# Calculate lower limit of -200 dBm.
  1.005  MATH         L[1] = 200 + @Limit

  1.006  JMPL         CONTINUE
  1.007  EVAL   Force connection message on Repeat/Cancel.
  2.001  DISP         Connect a 50 Ohm, DC to [V @UUT_MaxFreq] SMA termination
  2.001  DISP         to the TPA-N-PRE Preamplifier INPUT.
  2.002  LABEL        CONTINUE

# Uncertainty is the UUT Level Measurement Uncertainty.
  2.003  MATH         MEM = @Limit
  2.004  ACC          dBm/Hz         1.00U                                 +W
  2.005  TARGET       -m
  2.006  VISA         MARKER:MANUAL OFF
  2.007  VISA         RF:START [V Start];STOP [V Stop]
  2.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.009  JMPL         END                          @Abort
  2.010  VISA         ACQUIRE:STATE ON
  2.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.012  JMPL         END                          @Abort
# Wait 500 ms for the UUT to locate peak marker amplitude.
  2.013  VISA         [D500]MARKER:REFERENCE:FREQUENCY?[I]
  2.014  MATH         NoisePeakHz = MEM

  2.015  VISA         MARKER:MANUAL ON
  2.016  VISA         MARKER:M1:FREQUENCY:ABSOLUTE [V NoisePeakHz]
  2.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.018  JMPL         END                          @Abort
  2.019  VISA         [D500]MARKER:M1:NOISEDENSITY?[I]

# Zoom in on the noise peak and measure, as necessary for range.
  2.020  IF           NOT(EMPTY(@Span))
  2.021  MATH         Span = BASE(@Span)
  2.022  VISA         RF:SPAN [V Span];FREQUENCY [V NoisePeakHz]
  2.023  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.024  JMPL         END                          @Abort
  2.025  VISA         ACQUIRE:STATE ON
  2.026  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.027  JMPL         END                          @Abort
# Move manual marker to center frequency.
  2.028  VISA         MARKER:M1:FREQUENCY:ABSOLUTE [V NoisePeakHz]
  2.029  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.030  JMPL         END                          @Abort
  2.031  VISA         [D500]MARKER:M1:NOISEDENSITY?[I]
  2.032  ENDIF

# Allow manual identification of the noise threshold if the marker search
# found a spur.
  2.033  IF           MEM > @Limit
  2.034  PIC          mdo4000_danl_meas.png
  2.035  VISA         MARKER:M1:NOISEDENSITY?[I]
  2.036  ENDIF

  2.037  TSET         TDESC = [V FreqRange]; UUT_RES = 0.01
  2.038  MATH         MEM1 = @Limit
  2.039  MEMCX        dBm/Hz         -L1U

  3.001  LABEL        END
  3.002  END
